Summary:	The Insidious Big Brother Database
Name:		bbdb
Version:	3.2
Release:	%mkrel 1
License:	GPLv2
Group:		Editors
URL:		http://bbdb.sourceforge.net/
Source:		ftp://ftp.sourceforge.net/pub/sourceforge/bbdb/%name-%version.tar.gz
Source1:	emacs-bbdb.metainfo.xml


BuildRequires:	emacs
BuildRequires:	texinfo
BuildRequires:  texinfo-tex

BuildArch:	noarch
%define lispdir	%{_datadir}/emacs/site-lisp/bbdb
%define texdir	%{_datadir}/texmf/tex/plain/bbdb

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (Gnus, MH-E, and
RMAIL.)

%prep
%autosetup -p1

perl -pi -e 's:^#!/usr/local/bin/perl5?:#!/usr/bin/perl:' utils/*.pl

%build
./autogen.sh
%configure
make
make info

%install
install -d %{buildroot}/%{lispdir}
install -m 644 lisp/bbdb*.el %{buildroot}/%{lispdir}
install -m 644 lisp/bbdb*.elc %{buildroot}/%{lispdir}

install -d %{buildroot}%{_infodir}
install -m 644 doc/bbdb.info* %{buildroot}/%{_infodir}

install -d %{buildroot}/%{_sysconfdir}/emacs/site-start.d
cat << EOF > %{buildroot}/%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{lispdir}")

;(require 'bbdb)

; Since the syntax-checking of phone numbers only works with American
; phone numbers the syntax-checking is disabled by default.
(setq bbdb-north-american-phone-numbers-p nil)

; Set the coding system in order to prevent problems with non-ASCII
; characters.  The available coding systems can be displayed with
; (list-coding-systems).
;(modify-coding-system-alist 'file "\\.bbdb" 'emacs-mule)

;(bbdb-initialize 'gnus 'mh-e 'rmail 'sendmail 'message 'sc 'w3)
EOF

%post
if [ -x %{_bindir}/texhash -a -e %{_datadir}/texmf/ls-R ]; then
	%{_bindir}/texhash
fi

%files
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{lispdir}/*
%doc %{_infodir}/*


%changelog
* Sat Oct 31 2020 joequant <joequant> 3.2-1.mga8
+ Revision: 1640837
- update

* Wed Aug 19 2020 ovitters <ovitters> 2.36-12.mga8
+ Revision: 1615987
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Mon Feb 24 2020 daviddavid <daviddavid> 2.36-11.mga8
+ Revision: 1549762
- add patch to fix build with texinfo 6.7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.36-10.mga7
+ Revision: 1260780
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.36-9.mga7
+ Revision: 1260190
- Mageia 7 Mass Rebuild

* Fri Feb 26 2016 luigiwalser <luigiwalser> 2.36-8.mga6
+ Revision: 979706
- remove BR xemacs

* Wed Feb 03 2016 umeabot <umeabot> 2.36-7.mga6
+ Revision: 933145
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.36-6.mga5
+ Revision: 747488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36-5.mga5
+ Revision: 678125
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.36-4.mga4
+ Revision: 503052
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.36-3.mga3
+ Revision: 346878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 sander85 <sander85> 2.36-2.mga3
+ Revision: 275360
- Add back BR for xemacs which is now in the repos
- Add patch from NetBSD to fix build

* Tue Sep 06 2011 tv <tv> 2.36-1.mga2
+ Revision: 139249
- new release

* Wed Feb 16 2011 blino <blino> 2.35-7.mga1
+ Revision: 52140
- do not buildrequire xemacs for now
- imported package bbdb

